Next: GDB/MI Breakpoint Commands, Previous: GDB/MI Simple Examples, Up: GDB/MI

### 27.7 gdb/mi Command Description Format

The remaining sections describe blocks of commands. Each block of commands is laid out in a fashion similar to this section.

#### Motivation

The motivation for this collection of commands.

#### Introduction

A brief introduction to this collection of commands as a whole.

#### Commands

For each command in the block, the following is described:

##### Synopsis

          -command args...

##### Result

##### gdb Command

The corresponding gdb CLI command(s), if any.

##### Example

Example(s) formatted for readability. Some of the described commands have not been implemented yet and these are labeled N.A. (not available).